Subject: [bess] [Technical Errata Reported] RFC8584 (5899)

From: RFC Errata System <[email-masked]>
Date: Tue, 12 Nov 2019 01:17:32 -0800 (PST)

The following errata report has been submitted for RFC8584,
"Framework for Ethernet VPN Designated Forwarder Election Extensibility".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5899

--------------------------------------
Type: Technical
Reported by: Sean.Chen <[email-masked]>

Section: 1.1

Original Text
-------------
BD: Broadcast Domain.  An EVI may be comprised of one BD
      (VLAN-based or VLAN Bundle services) or multiple BDs (VLAN-aware
      Bundle services).

Corrected Text
--------------
BD: Bridge Domain.  An EVI may be comprised of one BD
      (VLAN-based or VLAN Bundle services) or multiple BDs (VLAN-aware
      Bundle services).

Notes
-----
broadcast domain is not comprised in any services (VLAN-based or VLAN Bundle service).

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8584 (draft-ietf-bess-evpn-df-election-framework-09)
--------------------------------------
Title               : Framework for Ethernet VPN Designated Forwarder Election Extensibility
Publication Date    : April 2019
Author(s)           : J. Rabadan, Ed., S. Mohanty, Ed., A. Sajassi, J. Drake, K. Nagaraj, S. Sathappan
Category            : PROPOSED STANDARD
Source              : BGP Enabled Services
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: John E Drake <[email-masked]>
Date: Tue, 12 Nov 2019 09:47:07 +0000

I agree

Sent from my iPhone

> On Nov 12, 2019, at 3:10 PM, Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]> wrote:
> 
> Hi,
> 
> I don't understand why this erratum was filed.
> "Broadcast Domain" is the correct term used in RFC7432 and all the EVPN documents.
> It should be rejected.
> 
> Thanks.
> Jorge
> 
> -----Original Message-----
> From: RFC Errata System <[email-masked]>
> Date: Tuesday, November 12, 2019 at 4:17 PM
> To: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "Nagaraj, Kiran (Nokia - US/Mountain View)" <[email-masked]>, "Sathappan, Senthil (Nokia - US/Mountain View)" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "Vigoureux, Martin (Nokia - FR/Paris-Saclay)" <[email-masked]>, "Bocci, Matthew (Nokia - GB)" <[email-masked]>, "[email-masked]" <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> Subject: [Technical Errata Reported] RFC8584 (5899)
> 
>    https://urldefense.com/v3/__https://www.rfc-editor.org/errata/eid5899__;!8WoA6RjC81c!SaIWS8sh_Qv0z3EeiwJR318oBQoGXbgX9muwUkuY33c6bBXZItc9S87ssaGNDd4$ 
>

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Tue, 12 Nov 2019 09:40:02 +0000

Hi,

Thanks.
Jorge

-----Original Message-----
From: RFC Errata System <[email-masked]>
Date: Tuesday, November 12, 2019 at 4:17 PM
To: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "Nagaraj, Kiran (Nokia - US/Mountain View)" <[email-masked]>, "Sathappan, Senthil (Nokia - US/Mountain View)" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "Vigoureux, Martin (Nokia - FR/Paris-Saclay)" <[email-masked]>, "Bocci, Matthew (Nokia - GB)" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [Technical Errata Reported] RFC8584 (5899)

    
    
    Section: 1.1
    
    Original Text
    -------------
    
    Corrected Text
    --------------
    
    Notes
    -----
    
    Instructions:
    -------------

---

From: Luc André Burdet <[email-masked]>
Date: Tue, 12 Nov 2019 10:50:25 -0500

7432 makes the clear distinction between broadcast domain and bridge table
(in definitions section no less...)
Concur, this erratum 5899 should be rejected.

Erratum 5900 <https://www.rfc-editor.org/errata/eid5900> makes somewhat
more sense, VLAN Bundle in 7432 6.2 is for multiple broadcast domains, so
switching "VLAN Bundle services" to "multiple BDs" makes sense. Minor nit.

.:|:.:|:. Luc André Burdet          | Cisco Systems Canada Inc.
          email: [email-masked] | phone: +1 613 254 4814

On Tue, Nov 12, 2019 at 10:30 AM John E Drake <jdrake=
[email-masked]> wrote:

> > To: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>,
> "[email-masked]" <[email-masked]>, "[email-masked]" <
> [email-masked]>, "[email-masked]" <[email-masked]>, "Nagaraj,
> Kiran (Nokia - US/Mountain View)" <[email-masked]>, "Sathappan,
> Senthil (Nokia - US/Mountain View)" <[email-masked]>, "
> [email-masked]" <[email-masked]>, "[email-masked]" <
> [email-masked]>, "Vigoureux, Martin (Nokia - FR/Paris-Saclay)" <
> [email-masked]>, "Bocci, Matthew (Nokia - GB)" <
> [email-masked]>, "[email-masked]" <
> [email-masked]>
> > Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <
> [email-masked]>, "[email-masked]" <[email-masked]>
> _______________________________________________
> BESS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 12 Nov 2019 16:41:49 +0000

Luc and all,

With regard to “Erratum 5900<https://clicktime.symantec.com/3M1kZNQgXrJ86A1cYgNrTsj6H2?u=https%3A%2F%2Fwww.rfc-editor.org%2Ferrata%2Feid5900> makes somewhat more sense”: I am not sure how much more sense it means because:

1.       RFC 7432, Section 3 says: “Bridge Table: An instantiation of a broadcast domain on a MAC-VRF”.

2.       RFC 7432, Section 6.2 says:

a.       “With this <Sasha: VLAN  Bundle> service interface, an EVPN instance corresponds to multiple  broadcast domains (e.g., multiple VLANs); however, only a single bridge table is maintained per MAC-VRF”  and “There is a many-to-one mapping between VLANs and a MAC-VRF”

b.       The Ethernet Tag ID in all EVPN routes <Sasha: advertised by a VLAN Bundle EVI > MUST be set to 0”

3.       Last but not least, RFC 8584 always uses the lowest VLAN in the bundle because in any case all EVPN routes advertised by a VLAN-Bundle EVI have their Ethernet Tag ID set to 0. Only VLAN-aware Bundle EVIs can elect a different DF for each of the VLANs  in the bundle (see Sections 3.2 and 4.1).

My 2c,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

From: BESS <[email-masked]> On Behalf Of Luc Andr? Burdet
Sent: Tuesday, November 12, 2019 5:50 PM
To: [email-masked]
Cc: Sean.Chen <[email-masked]>; Frank Lu <[email-masked]>; RFC Errata System <[email-masked]>
Subject: Re: [bess] [Technical Errata Reported] RFC8584 (5899)

7432 makes the clear distinction between broadcast domain and bridge table (in definitions section no less...)
Concur, this erratum 5899 should be rejected.

Erratum 5900<https://clicktime.symantec.com/3M1kZNQgXrJ86A1cYgNrTsj6H2?u=https%3A%2F%2Fwww.rfc-editor.org%2Ferrata%2Feid5900> makes somewhat more sense, VLAN Bundle in 7432 6.2 is for multiple broadcast domains, so switching "VLAN Bundle services" to "multiple BDs" makes sense. Minor nit.

.:|:.:|:. Luc André Burdet          | Cisco Systems Canada Inc.
          email: [email-masked]<mailto:[email-masked]> | phone: +1 613 254 4814

On Tue, Nov 12, 2019 at 10:30 AM John E Drake <jdrake=[email-masked]<mailto:[email-masked]>> wrote:
I agree

Sent from my iPhone

> On Nov 12, 2019, at 3:10 PM, Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>> wrote:
>
> Hi,
>
> From: RFC Errata System <[email-masked]<mailto:[email-masked]>>
> To: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Nagaraj, Kiran (Nokia - US/Mountain View)" <[email-masked]<mailto:[email-masked]>>, "Sathappan, Senthil (Nokia - US/Mountain View)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Vigoureux, Martin (Nokia - FR/Paris-Saclay)" <[email-masked]<mailto:[email-masked]>>, "Bocci, Matthew (Nokia - GB)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
> Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
>    https://urldefense.com/v3/__https://www.rfc-editor.org/errata/eid5899__;!8WoA6RjC81c!SaIWS8sh_Qv0z3EeiwJR318oBQoGXbgX9muwUkuY33c6bBXZItc9S87ssaGNDd4$<https://clicktime.symantec.com/3AgVePtCzFrAA1iE1m3ZnWm6H2?u=https%3A%2F%2Furldefense.com%2Fv3%2F__https%3A%2F%2Fwww.rfc-editor.org%2Ferrata%2Feid5899__%3B%218WoA6RjC81c%21SaIWS8sh_Qv0z3EeiwJR318oBQoGXbgX9muwUkuY33c6bBXZItc9S87ssaGNDd4%24>
>
>    Reported by: Sean.Chen <[email-masked]<mailto:[email-masked]>>
>
>    Section: 1.1
>
>    Original Text
>    -------------
_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess<https://clicktime.symantec.com/351JT3BC1t7RZtmoUzkhKcd6H2?u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fbess>

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 12 Nov 2019 15:38:28 +0000

Hi all,

FWIW I concur with Jorge.

Quoting from RFC 7432 Section 3:

     Broadcast Domain: In a bridged network, the broadcast domain

     corresponds to a Virtual LAN (VLAN), where a VLAN is typically

     represented by a single VLAN ID (VID) but can be represented

     by several VIDs where Shared VLAN Learning (SVL) is used

     per [802.1Q].

   Bridge Table: An instantiation of a broadcast domain on a MAC-VRF.

...
     Ethernet Tag: An Ethernet tag identifies a particular broadcast
     domain, e.g., a VLAN.  An EVPN instance consists of one or more
     broadcast domains.

And “Bridge Domain” does not appear anywhere in RFC 7432.

Regards,

Sasha

Office: +972-39266302

Cell:      +972-549266302

-----Original Message-----
From: BESS <[email-masked]> On Behalf Of Rabadan, Jorge (Nokia - US/Mountain View)
Sent: Tuesday, November 12, 2019 11:40 AM
To: RFC Errata System <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; Nagaraj, Kiran (Nokia - US/Mountain View) <[email-masked]>; Sathappan, Senthil (Nokia - US/Mountain View) <[email-masked]>; [email-masked]; [email-masked]; Vigoureux, Martin (Nokia - FR/Paris-Saclay) <[email-masked]>; Bocci, Matthew (Nokia - GB) <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [bess] [Technical Errata Reported] RFC8584 (5899)

Hi,

It should be rejected.

Thanks.

Jorge

-----Original Message-----

    https://clicktime.symantec.com/3CFRJrxTCnvMPtXqeQDyoFV6H2?u=https%3A%2F%2Fwww.rfc-editor.org%2Ferrata%2Feid5899

    Type: Technical

    Section: 1.1

    Original Text

    -------------

          Bundle services).

    Corrected Text

    --------------

          Bundle services).

    Notes

    -----

    Instructions:

    -------------

    Area                : Routing

    Stream              : IETF

    Verifying Party     : IESG

BESS mailing list

https://clicktime.symantec.com/3BGFpzDiZLtTYe7oZ1nFbrX6H2?u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fbess